import { Meta, Story, ArgsTable, Canvas } from '@storybook/addon-docs/blocks';
import { IconGallery } from "storybook-icon-gallery";

import Asset, { AssetBase } from './Asset';

<Meta title="Design/Data Display/Asset" component={Asset} />

export const renderItem  = (name, props) => (
  <IconGallery.Item
    name={name}
    key={name}
  >
    <Asset name={name} {...props}/>
  </IconGallery.Item>
);

# Asset
Example of Asset:
<Canvas>
  <Story name="example">
    <Asset name={Asset.ICONS.LOGO}/>
  </Story>
</Canvas>

Example of Asset double color:

<Canvas>
  <Story name="example-colors">
    <Asset
      name={Asset.ICONS.LOGO}
      primaryColor="#BF7703"
      secondaryColor="#F2E6D3"
    />
  </Story>
</Canvas>

Example only primaryColor filled :

<Canvas>
  <Story name="example-primaryColor">
    <Asset
      name={Asset.ICONS.LOGO}
      primaryColor="#BF7703"
    />
  </Story>
</Canvas>

All examples of imported no color:
<Canvas>
  <Story name="gallery">
    <IconGallery
      getCopyValue={
        ({ name }) =>  `<Asset name={ASSET_ICONS.${name}} />`
      }
    >
      {
        Object.keys(Asset.ICONS).map(item =>
          renderItem(item)
        )
      }
    </IconGallery>
  </Story>
</Canvas>

All examples of imported with color:
<Canvas>
  <Story name="gallery-color">
    <IconGallery
      getCopyValue={
        ({ name }) =>  `<Asset name={ASSET_ICONS.${name}} primaryColor="#BF7703" secondaryColor="#F2E6D3" />`
      }
    >
      {
        Object.keys(Asset.ICONS).map(item =>
          renderItem(item, {primaryColor:"#BF7703", secondaryColor:"#F2E6D3"})
        )
      }
    </IconGallery>
  </Story>
</Canvas>

# Asset Props
<ArgsTable of={AssetBase} />

